Subject: bug#27986: 26.0.50; 'rename-file' can rename files without confirmation

From: Stefan Monnier <[email-masked]>
Date: Wed, 16 Aug 2017 18:31:14 -0400

>> This should be quite rare.  The only scenario I see matching your
>> concern is if the source is a directory, the destination is not
>> a directory name but is an empty directory and is not a symlink, and
>> the destination is not a descendant of  the source.  Although not
>> impossible, this will happen so rarely that it doesn't invalidate
>> the proposed change.

Paul's suggestion makes a lot of sense to me, but I don't quite
understand the above: why does the emptiness of the destination
directory matter?

        Stefan